org.apache.tinkerpop.gremlin.process.computer.search.path

## Class ShortestPathVertexProgram.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<ShortestPathVertexProgram.Builder>
  - - org.apache.tinkerpop.gremlin.process.computer.search.path.ShortestPathVertexProgram.Builder

- All Implemented Interfaces:
    VertexProgram.Builder
  Enclosing class:
    ShortestPathVertexProgram

      public static final class ShortestPathVertexProgram.Builder
      extends org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder<ShortestPathVertexProgram.Builder>

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configuration`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShortestPathVertexProgram.Builder` | `distanceProperty(String distance)`
    `ShortestPathVertexProgram.Builder` | `distanceTraversal(Traversal<Edge,Number> distanceTraversal)`
    `ShortestPathVertexProgram.Builder` | `edgeDirection(Direction direction)`
    `ShortestPathVertexProgram.Builder` | `edgeTraversal(Traversal<Vertex,Edge> edgeTraversal)`
    `ShortestPathVertexProgram.Builder` | `includeEdges(boolean include)`
    `ShortestPathVertexProgram.Builder` | `maxDistance(Number distance)`
    `ShortestPathVertexProgram.Builder` | `source(Traversal<Vertex,?> sourceVertexFilter)`
    `ShortestPathVertexProgram.Builder` | `target(Traversal<Vertex,?> targetVertexFilter)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.computer.util.AbstractVertexProgramBuilder

      `configure, create`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.VertexProgram.Builder

      `create`

- - ### Method Detail

    - #### source

          public ShortestPathVertexProgram.Builder source(Traversal<Vertex,?> sourceVertexFilter)

    - #### target

          public ShortestPathVertexProgram.Builder target(Traversal<Vertex,?> targetVertexFilter)

    - #### edgeDirection

          public ShortestPathVertexProgram.Builder edgeDirection(Direction direction)

    - #### edgeTraversal

          public ShortestPathVertexProgram.Builder edgeTraversal(Traversal<Vertex,Edge> edgeTraversal)

    - #### distanceProperty

          public ShortestPathVertexProgram.Builder distanceProperty(String distance)

    - #### distanceTraversal

          public ShortestPathVertexProgram.Builder distanceTraversal(Traversal<Edge,Number> distanceTraversal)

    - #### maxDistance

          public ShortestPathVertexProgram.Builder maxDistance(Number distance)

    - #### includeEdges

          public ShortestPathVertexProgram.Builder includeEdges(boolean include)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.